NativeTestSuiteBinarySpec.TasksCollection (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.nativeplatform.test

## [Java] Interface TasksCollection

- java.util.Collection

- All Superinterfaces:
    DomainObjectCollection, DomainObjectSet, Iterable, Set, BinaryTasksCollection, Collection

  Provides access to key tasks used for building the binary.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Task` | `getInstall()` The install task.
    `Task` | `getLink()` The link task.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface org.gradle.testing.base.TestSuiteTaskCollection` | `org.gradle.testing.base.TestSuiteTaskCollection#getRun(), org.gradle.testing.base.TestSuiteTaskCollection#create(java.lang.String, java.lang.Class, org.gradle.api.Action), org.gradle.testing.base.TestSuiteTaskCollection#taskName(java.lang.String), org.gradle.testing.base.TestSuiteTaskCollection#taskName(java.lang.String, java.lang.String), org.gradle.testing.base.TestSuiteTaskCollection#getBuild(), org.gradle.testing.base.TestSuiteTaskCollection#matching(groovy.lang.Closure), org.gradle.testing.base.TestSuiteTaskCollection#matching(org.gradle.api.specs.Spec), org.gradle.testing.base.TestSuiteTaskCollection#findAll(groovy.lang.Closure), org.gradle.testing.base.TestSuiteTaskCollection#withType(java.lang.Class), org.gradle.testing.base.TestSuiteTaskCollection#all(org.gradle.api.Action), org.gradle.testing.base.TestSuiteTaskCollection#all(groovy.lang.Closure), org.gradle.testing.base.TestSuiteTaskCollection#matching(groovy.lang.Closure), org.gradle.testing.base.TestSuiteTaskCollection#matching(org.gradle.api.specs.Spec), org.gradle.testing.base.TestSuiteTaskCollection#findAll(groovy.lang.Closure), org.gradle.testing.base.TestSuiteTaskCollection#withType(java.lang.Class), org.gradle.testing.base.TestSuiteTaskCollection#withType(java.lang.Class, org.gradle.api.Action), org.gradle.testing.base.TestSuiteTaskCollection#withType(java.lang.Class, groovy.lang.Closure), org.gradle.testing.base.TestSuiteTaskCollection#whenObjectAdded(groovy.lang.Closure), org.gradle.testing.base.TestSuiteTaskCollection#whenObjectAdded(org.gradle.api.Action), org.gradle.testing.base.TestSuiteTaskCollection#whenObjectRemoved(groovy.lang.Closure), org.gradle.testing.base.TestSuiteTaskCollection#whenObjectRemoved(org.gradle.api.Action), org.gradle.testing.base.TestSuiteTaskCollection#add(java.lang.Object), org.gradle.testing.base.TestSuiteTaskCollection#equals(java.lang.Object), org.gradle.testing.base.TestSuiteTaskCollection#hashCode(), org.gradle.testing.base.TestSuiteTaskCollection#clear(), org.gradle.testing.base.TestSuiteTaskCollection#contains(java.lang.Object), org.gradle.testing.base.TestSuiteTaskCollection#isEmpty(), org.gradle.testing.base.TestSuiteTaskCollection#size(), org.gradle.testing.base.TestSuiteTaskCollection#toArray([Ljava.lang.Object;), org.gradle.testing.base.TestSuiteTaskCollection#toArray(), org.gradle.testing.base.TestSuiteTaskCollection#addAll(java.util.Collection), org.gradle.testing.base.TestSuiteTaskCollection#iterator(), org.gradle.testing.base.TestSuiteTaskCollection#remove(java.lang.Object), org.gradle.testing.base.TestSuiteTaskCollection#containsAll(java.util.Collection), org.gradle.testing.base.TestSuiteTaskCollection#removeAll(java.util.Collection), org.gradle.testing.base.TestSuiteTaskCollection#retainAll(java.util.Collection), org.gradle.testing.base.TestSuiteTaskCollection#add(java.lang.Object), org.gradle.testing.base.TestSuiteTaskCollection#equals(java.lang.Object), org.gradle.testing.base.TestSuiteTaskCollection#hashCode(), org.gradle.testing.base.TestSuiteTaskCollection#clear(), org.gradle.testing.base.TestSuiteTaskCollection#contains(java.lang.Object), org.gradle.testing.base.TestSuiteTaskCollection#isEmpty(), org.gradle.testing.base.TestSuiteTaskCollection#size(), org.gradle.testing.base.TestSuiteTaskCollection#toArray([Ljava.lang.Object;), org.gradle.testing.base.TestSuiteTaskCollection#toArray(), org.gradle.testing.base.TestSuiteTaskCollection#addAll(java.util.Collection), org.gradle.testing.base.TestSuiteTaskCollection#iterator(), org.gradle.testing.base.TestSuiteTaskCollection#remove(java.lang.Object), org.gradle.testing.base.TestSuiteTaskCollection#containsAll(java.util.Collection), org.gradle.testing.base.TestSuiteTaskCollection#removeAll(java.util.Collection), org.gradle.testing.base.TestSuiteTaskCollection#retainAll(java.util.Collection)`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public Task getInstall()

      The install task.

    - #### public Task getLink()

      The link task.